Subject: [bug#50505] [PATCH 00/12] gnu: Add python-manim

From: Daniel Meißner<[email-masked]>
Date: Fri, 10 Sep 2021 13:22:31 +0200

Hi Guix!

This patch series adds the necessary packages for Manim, an animation engine
for mathematical animations which can be used in educational maths videos.  I
have read the "Submitting Patches" section in the Guix manual and have
confirmed that the packages build as expected.  However, I have disabled tests
for the following packages:

* python-manim
* python-mapbox-earcut
* python-moderngl-window
* python-pyglet
* python-moderngl

This is either because they need a DISPLAY to conduct the tests or because the
tests are failing and I don't know how to fix it.  Your help will be
appreciated :)

Thanks,
Daniel

Daniel Meißner (12):
  gnu: Add python-cloup.
  gnu: Add python-cloup-0.7.
  gnu: Add python-glcontext.
  gnu: Add python-moderngl.
  gnu: Add python-pyglet.
  gnu: Add python-multipledispatch.
  gnu: Add python-pyrr.
  gnu: Add python-screeninfo.
  gnu: Add python-moderngl-window.
  gnu: Add python-manimpango.
  gnu: Add python-mapbox-earcut.
  gnu: Add python-manim 0.9.0.

 gnu/local.mk                                  |   2 +
 .../python-manimpango-remove-manim-dep.patch  | 172 +++++++++++
 gnu/packages/python-science.scm               |  82 +++++
 gnu/packages/python-xyz.scm                   | 289 ++++++++++++++++++
 4 files changed, 545 insertions(+)
 create mode 100644 gnu/packages/patches/python-manimpango-remove-manim-dep.patch

-- 
2.33.0